"""List of examples that Z_4- and Z_2^2-connectivity are different notions.
"""

def cube_4y():
  """The 2 nonisomorphic subdivisions of cube which are Z_4- but not
  Z_2^2-connected.

  There is no subdivison of the cube with the group connectivity the other way
  around.
  """

  return ['J?EQX_g_Q@_', 'J?CSZ`GHC@_']


# There is no graphs10_4n because we did not found any such graphs.

def graphs10_4y():
  """List graphs which are Z_4- but not Z_2^2-connected.

  It contains 35 nonisomorphic graphs on 13 vertices (3-fold
  subdivisons of 10-vertex cubic graphs) encoded as graph6
  strings.
  """
  
  return [
    'L@FEBO__G_`_?g', 'LCMER@C@P??DCC', 'LDObGADAS?gGE?', 'LCSbGAD_QAE?AC',
    'LCIER?cDA@B??S', 'LDS`IA@aAC?c?S', 'LDObGADaAAB??S', 'LDSb?AD_QA@A@_',
    'LoOSH`?I_o?c?W', 'L?MER@?DS_CC@G', 'L@FE@OacAA@_?K', 'LDS`IAC_QC@A?W',
    'LCSbGACaQAE??W', 'LoSCH@DG_gAGAC', 'L@FMAO__HAAA?g', 'LDSbAADa?G?P?S',
    'LDObGA@aQAB?@G', 'LDCbGADAS?h?OO', 'LCObGADaQAE?E?', 'LCEEP@_DQAD?@G',
    'LDS`IAD_AC@A?S', 'LCIEQ@cD@AB??S', 'LAp`?ABKS_@G@_', 'LCIEP@_DQAB?@G',
    'LCEER?cDA@D??S', 'LoOS@`CI_o?o?W', 'LCMER@CCP??D@C', 'L@FMB?ac?Q?C?D',
    'LCIAR@cCSCB?@C', 'LCMER?_@Q@AA@G', 'LCMEA@cD@A@O?S', 'LDSBIACa@G?K?S',
    'LCMER@?@P@AA@G', 'LoCS@`CIaO?o?W', 'L?MER@CCS_CC@C'
  ]

def graphs12_4n():
  """List graphs which are Z_2^2- but not Z_4-connected.

  It contains 7 nonisomorphic graphs on 15 vertices (3-fold
  subdivisons of 12-vertex cubic graphs) encoded as graph6
  strings.
  """

  return [
    'NHQ?_E_OOOb__A@O?S?',
    'NKE?GP@G__x?H??g?H?',
    'NKC_GOBG_Ax?`?OGA@?',
    'NKE_G@@G_Ax?CAAO?S?',
    'NKE_G?BG_Ax?OGCA@G?',
    'N?_cC_aOooGcQ?GAA_?',
    'N@OAcIG_@B?qS?GC@_?'
  ]


def graphs12_4y():
  """List graphs which are Z_4- but not Z_2^2-connected.

  It contains 619 nonisomorphic graphs on 15 vertices (3-fold
  subdivisons of 12-vertex cubic graphs) encoded as graph6
  strings.
  """

  return [
    'NB_GTG_O?DoAP?C@?S?', 'N`@`OGP?WoPA_??AgO?', 'N_@bOGP?[o@?_@K??A_', 'NBOIcIGg?@?aGA?`?H?',
    'NQ@?oY_?WGCB__Q?A@?', 'NBGe??@aGMOCO@D?@G?', 'NQ?CoW_?WgCB_GQ?G_?', 'NHQ?_MaOC?b?AA@@?I?',
    'NCA_GP@G_ax?W?E??S?', 'NRO?AGCAgIQO_GI??P?', 'N@@bOG@?[o@Ao?_@AC?', 'NKLH?H?_S_?U?a?O?CG',
    'NHQ?_E?OSOb_GG@O?S?', 'NQ?CoY_?GgCBQ?P??I?', 'N@W?AICAgKQOg?S??H?', 'N`@b?GP?KOPACAA_?I?',
    'NHQ?_M_OSOA_A@?g?B?', 'N?DpOAA_OBW@Q?GOAA?', 'NRW?AI??gMQ?AC@G?O_', 'NQ@CoY??Wg?BQ?GGC?_',
    'NHQ?_MaOC?`_C@AA?I?', 'NRG?AGCA_MQO_GQ??E?', 'N?T@PAAcOBW?H?D??@_', 'NAU?CCCGk_CDO_I??g?',
    'NBW?AIC?gIQOg?AC?P?', 'NAOI_I?g@B?q_OK?@C?', 'NA]ACK??k_?DGCG@?c?', 'NGA?_IaOSOb_Q?K??W?',
    'NKE_GP@G_aH?_@?g?B?', 'NCA?Q@E[CI@GG_G@B??', 'NCE@Q@E[CAC?A@@A?G_', 'N?TpPAAc?AW@?S?G?@G',
    'N`@b?G@?[_PACGA_@@?', 'NCE@A@ESCICGGCA_@?_', 'NCE@O?ESCIDGOOOGCA?', 'NKA_GPAG_ap?O@E??K?',
    'NKLH?@@_SC?QCA@O?C_', 'N?E@A@E[CICGc?A_@?_', 'NCJ_QC@C@O?U_GOCA@?', 'NBGs?O?aGEWCO_@A?K?',
    'N`@b?GP?[O@A_@CA@O?', 'NRW?AIC?_MAO_@AC?E?', 'N?@bOGP?[oOAo?K?@?_', 'NA]ACGCGk_C??o?H?@_',
    'N@Gu?O@_GMW?S?AC?C_', 'N@OIcIG_@@?qS?GC?H?', 'N`?bOGP?[OOAP?CA@?_', 'NKE?GPBG__p?O@H??H?',
    'NIQSOCp@@??B_@AO?B?', 'N?Tp?AAcOBW?GOA_?@_', 'NKE?GPBG_Ap?O@H?A@?', 'N?ooC_A?poGc__OCCC?',
    'NB_GTGAO?DoAP?GGA?_', 'NRW?AACAgEAO_@@O?`?', 'NHQ?_EaOSOB?@O@@?B?', 'NQG?AI?AgMQOQ?K??c?',
    'N`@bOG@?WoPA_??AaC?', 'NQOCoQ_?OgCBP?@O?E?', 'NBW?AICAgIQ?g??a?O_', 'NKE_GPBG?AX?CA?c?B?',
    'NBGs?O?aGMGC_@O_?K?', 'NGQ?_IaOS?b_K?AA?W?', 'NKE_G@BG?aX?AO?c?B?', 'NRO?AI?AgKQOI?@G?H?',
    'NCE@Q@EW?ID?_ACC?G_', 'N@B?U_IGICCA_@CA@_?', 'NHQ??MaOCOB_C_?S?B?', 'NSSH@?O@[??hO_OG?P?',
    'NKE_?@BG_aw?AOA@?o?', 'NHQ?_MaOCOa?A@@@?I?', 'NCE@Q@C[CACGA@@A?S?', 'N?ocC_A?poGcOCGGA_?',
    'N?TpOA?cOAW@GO?g?D?', 'N?osC_aO_oGCGA@@?I?', 'NKDH?H@_SC?QI?CA?C_', 'N`?bOGO?[o@A_@P??K?',
    'NCJ_QC@C@o?E_GOC?O_', 'NBW?AICAGMQOg??_?AG', 'NSS@@@?@[C?hO_CG@_?', 'NQ@CoW_?W_CB_GQ??`?',
    'N`@aOGP?WoPA_??AcO?', 'NKE_?OBG_Ax?OGCA?o?', 'N?DPPAAc?BW@Q?H??I?', 'NAGs?O?aGMWCO_K??K?',
    'NHQ?_E_OSO`_C@@O?S?', 'NCH?OE@S@o?U`?OOC_?', 'N`@aOGP?[O@A_@G_A@?', 'N@@bOGP?[OOAo?CA@?_',
    'NODKa@?@HAaC_OG_@?_', 'N?osC_a?ooG_OCGA?C_', 'NPO?AICAgMAO_@S?D??', 'N_@bOGP?[oO?K?A@?A_',
    'NCC_GPBG_Ax?`?W?A@?', 'N@@bO?P?[o@Ao?_@?g?', 'N_@`O?P?[oPAO_K??g?', 'N`@bOG@?[oOACGA???g',
    'N`@aOGP?SOPAG_CA?E?', 'NHQ??MaOS?b?C_AA?__', 'NB`GDGa??Dq?OCA_?A_', 'NKE?GP@G_Ax?H?CA?S?',
    'NRW??ACAgMOOOOC@?g?', 'NC?XV?OOC@cAQ?@@?S?', 'N[CCOCDGIO?`O@CC?g?', 'NA]?CGCGk_CCO_?o?@_',
    'NKL??H@_Sc?QG_B??C_', 'N@@aOGP?WoPAo?_ACO?', 'N?_cC_aOpoGcO?A?a_?', 'NCOXV?OOC@_AG@@@?S?',
    'NQOCoI_?OgCBP?AO?E?', 'NCJ?QC@O@o?U_GH?AA?', 'NRW??ICAgEOOOOC@?`?', 'N@@aOGP?[o@Ao?_@CO?',
    'NC@_QC@S@o?U`?_GD??', 'NRG?A?CAgMQO_GQ??g?', 'N?E@O?E[CIDGc?OOGC?', 'N?osC_aOOoGcGA?_?AG',
    'NA]ACK?Gk??DG@CA?c?', 'N@OIcIGg?@?qS?GA?H?', 'N?osC_aOOo?cO@GA?Q?', 'N[C?OKDGGOG`__OAAA?',
    'NB?IcAGg@@?qQ?@O?H?', 'NRO??ICAgIQOOOI??P?', 'NCJ_AE@C@o?QOCA_?C_', 'N`@b?GP?WoP?_AA_?A_',
    'NKE?GPAG_ax?G?@?_K?', 'NQW?AICAgKAO_@K??H?', 'N?osC_aO`oG_?O?C_C_', 'NGA?_MaOSOb?Q?K??__',
    'NHQ?_EaOSO@_C@@O?B?', 'NAYACCCGk_C@E?@O?C_', 'NQ@CoQ_?WGCBQ?CA?g?', 'N@BGE?IGGcSAOACO@O?',
    'NBGu??@a?MOCO@AO?E?', 'NRG?AACAgMAO_@Q??g?', 'N?PoPAA_OBW@G_E?AA?', 'NQOC_W_?WgCB_GP?@O?',
    'N?PpP??cOBW@_GE??S?', 'N?osC_a?`OGcOCCA?I?', 'N?PpPA?_OBW@E?CC?S?', 'N@@BOGP?WoPAo?_AC_?',
    'NCH_AE@C@o?U`?OC@O?', 'NKE_?P@G_aw?A@@_?S?', 'NRW?AICAgAOOC@@A?P?', 'N@Q?_MAOSOB_W?GG?B?',
    'N?osC__?poGCOC@@?S?', 'N?PpPA?cO@W@E??g?H?', 'NA]ACGC?k_C@GC?o?C_', 'N?osC__Op_GCAA@@?S?',
    'NKDH?G@_SC?UOGI?A@?', 'NCHH?H@_Sc?EW?E??O_', 'N@BGU?IGA_SACO?a?E?', 'N?TpPA?c?BW??g?S?@_',
    'NQ@COW_?WgCB_GQ?AO?', 'NKE_GPBG?aW?A@?c?B?', 'N?PpPAAcO@O@O@E??H?', 'N?osC__O`oG_?g?S?C_',
    'NBGU?O@_GIWCH?AC?P?', 'NKE_GOBG__h?_@OG?H?', 'NS??K?eS?Qh_W?C_@G?', 'NB?I_AGg@B?q_OQ??g?',
    'NHA?_CaOSOb__GQ??g?', 'NQOC?Y_?WgCBP?C_@O?', 'N?osC?aO`o?cO@CO?I?', 'NBW?AIC?_MQOg?AC?E?',
    'NA]ACK?GK_?DG@@G?Q?', 'NCE@Q@EKCADGOC@??@G', 'N_AOBOIa?DE@W?CC?o?', 'N?o_C_a?poGc__OCA_?',
    'NCH_QA@S?o?U`?GA?W?', 'NBOICIGg?@?qGAC_?H?', 'N?ocC_aOPo?cO@D??Q?', 'NAYACKCGk_C@C?A?_C_',
    'NKLG?@@_Sc?QG_@O?C_', 'NQ@?oQ_?WgCB__Q??g?', 'N@`GTG_O?DoAS?C@?S?', 'NKE?GPBG__x?H??O?@G',
    'NKHH?@@_Sc?EE?@O?O_', 'NKL@?G@_Sc?EOGB??O_', 'NRW??ICA_MQ?OO?`?E?', 'N?osC__O`_GcAA?g?I?',
    'NRW??ACAgMAO_@OO?g?', 'NQ@COY_?Wg?BQ?G@AO?', 'NGQ?_MAOSO`_K?GGA?_', 'NPW?AICAGMQOS??_?AG',
    'N?DpPAAcOBO?Q?O@?@_', 'NQOCoW_?WGCB_GP?A@?', 'NRO??I?AgMQOOOI??c?', 'N?TpPAA_OAW@CC?G?@G',
    'NHQ??MaOCOb_C??__I?', 'NHQ?_Ma?CO`_OCC@?I?', 'NHQ?_MAOCOb?GG@@?I?', 'NKE_?P@G_ap?O@@_?S?',
    'N@`GTGaO?DOAS?C@?B?', 'NSOJ@@O@S??hE??a?E?', 'NBOIcI?G@@?q_CAG?H?', 'NQW?AI?AgMAO_@K??c?',
    'N`@BOGP?[oO?H?A@?A_', 'NA]ACKCGK_?@G@?c?C_', 'N?PpPAACOBO@_CO@B??', 'NKE_GPBG?_x??c?O?@G',
    'N`@bO?P?[?PACAAA?g?', 'NBOICAGg@A?qC_@O?D?', 'NHQ?_EaOS?`_C@AA?g?', 'NHA?_MaOCOb?Q?@@?I?',
    'NHQ?_CaOSOa__GA@?g?', 'N`@aOGP?[?PAG_CA@@?', 'N`?aOG@?[oPAP?G_AC?', 'N`?bOGP?[o@?_@P??A_',
    'NHQ?_E_OSOb_@??O_S?', 'N@OIcAGg@@?qS?@O?H?', 'N?E@Q?E[CID?c?OG?G_', 'NQOCoY_?GgCAP??S?@_',
    'NBGu??@aGEW?AO@A?C_', 'N@OI_IGg@B?q_??Oi??', 'N?Q?_MaOSOB_W?K??B?', 'NBOICAGg@@?qC_@O?H?',
    'NKLH?G@_CC?UOGCA?I?', 'NBOAcIGg?A?qGAB??D?', 'NRW?AI??gMOOC@AC?c?', 'NKLH?H?_S_?U?_?A_K?',
    'NCJ_QC@O@_?U_GCC@@?', 'NBOI_AG_@B?q_OGC?g?', 'NCA@Q@E[CADGE?@??@G', 'N@Q?_EaOSOa_W?A@?g?',
    'NQP?oI_?W_CB__AO?`?', 'N?PpPA?cOAW@E??g?D?', 'NSSH@@??[C?hO_CG?a?', 'NKLH?G@_Cc?EOG?`?I?',
    'NQPC_W_?WGCB_GCA@O?', 'N?osC_a?_oGcOCGA?I?', 'NGQ?_MAOSOa_K?GG@?_', 'NPW?AGCAGMQO_GS??Q?',
    'N`@b??P?WoPA_AA_?g?', 'NBO?cIGg@@?qO_B??H?', 'NSSJ@@?@[??gCG?a?@_', 'NKE?GPBG_aW?H?A@?B?',
    'N?Sp@AAc?BW@P?A_?I?', 'NRG??ACAgMQOQ?OO?g?', 'NCOXF?OOC@cAA_@@?S?', 'N@Q?_M_OCOb_W??g?I?',
    'N?BGS_IGI_SAOOK??P?', 'N?TpOAAcOBO?O@GO?@_', 'N?B?U_IGICSAK?CA@_?', 'NCE@Q@CWCICGCCA@?S?',
    'NKL@?H@_Cc?EB??`?I?', 'NHQ?_E_OSOa_A@@O?S?', 'NAGu?O@_GMOCO@K?@A?', 'N[CC?CDKIOG_A_@O?@_',
    'NBOIcAGg@@?a@O?`?H?', 'N`?bOGP?[_P?P?AA?A_', 'NGQ?_MaOCO`_K?C@?I?', 'NBOAcIGg@@?aB??`?H?',
    'NQOCoI_?WgCAP?AO?@_', 'N@B?U_IGGcS?OAB??A_', 'NO@?oY_?WgCB__S?H??', 'NBOIcIGg@@?o?O?A_A_',
    'NKDH?@@_SC?UI?CA?g?', 'N@Q?_MAOSOa_W?GG@?_', 'N@OIcA?g@B?qS?AG?g?', 'NHQ?_MAOSOB?GG@@?B?',
    'N@BGE?IGICSACOCA@O?', 'NA]ACCCGk_?@G@@O?C_', 'NHQ?_M_OSOa_A@?_?CG', 'NRG?AI?AgMQOQ?@??CG',
    'N@BGU?GGIcSACO?_?CG', 'NCLH?H@_SC?QW?CA?C_', 'NKA_GPBG_aH?_@E??B?', 'NAOIcI?g@A?qK?AG?D?',
    'NCH?QE@O@o?U`?H?AA?', 'NHQ?_KaOCOa__GA@?I?', 'NGLH?H?_Sc?Uc??O?CG', 'N@@bO?P?[_PAo?AA?g?',
    'NCE@Q@EW?I@G_AG@AA?', 'NKDH?H@_CC?UI?CA?I?', 'NHQ?_M_OCOB_?g?S?B?', 'N@Gu?O@aGKW?S??Q?C_',
    'NRW??ICAgIOOOOC@?P?', 'N`@@OGP?[oOAO_H?@?_', 'NCA@Q@A[CGDGE?@G?H?', 'NBW??ICAGMQOg?OO?Q?',
    'NBGu??@a?IWCAO?a?E?', 'NQPCoI_?W_CAAO@A?@_', 'N?osC_AO`oGCGG@@?I?', 'N@B?S_IGICSAOOCA@_?',
    'N_@bOGP?[oOAK?A???g', 'N_o_Oh_C_BCO_AC@?a?', 'NKE?GOBG__x?OGH??H?', 'NRO?AICAgKQ?I??`?H?',
    'NAYACK?Gk_CCE?@G?@_', 'NRW?AICAgKAO_@?O?@G', 'NQ@CoQ_?WgC@Q?@O?A_', 'NQ@CoI_?W_CBQ?AO?`?',
    'N?DoPAAcOBW?Q?G_?@_', 'NQ@?oW_?WgCB___GH??', 'N@`GSGaO?DoAS?GOA?_', 'N?osC_AOPo?cO@GG?Q?',
    'NRW?AICA_EOOC@@A?E?', 'NB_GTGaO?DOAP?C@?B?', 'NHA?_IaOSOa_Q?A@?W?', 'NBOIcI?g@@?oAG?Q?A_',
    'NRW??GCAGMQO_GOO?Q?', 'N@A?U_IGICSAP?CA@_?', 'NAOAcIGg@B?oK?B??A_', 'N?BGU?AGIcSAK?CO@C?',
    'N`@aOGP?WoP?_AG_?A_', 'NCOXU?QOC@c?GO@@?A_', 'N?ooC_a?pOGc__OCA@?', 'NCJ_QE@C?o?QOCGA?C_',
    'NQ@COY_?W_CBQ?C_?`?', 'NBGs?O@aGEW?O_@A?C_', 'NBG?AICAgMOOg?Q?A?_', 'NCHH?H@_Sc?QW?E??C_',
    'N?oSC_aO`oG_H??S?C_', 'N`@aOGO?WoPA_AG_?K?', 'N@@bOGP?Ko@Ao?_@?I?', 'NQPCOW_?W_CB_GC_?`?',
    'NB?u?O@a?MGC_@I??E?', 'NPW?AICA_MQ?S??`?E?', 'NQ@CoI_?WgC@Q?AO?A_', 'NBW?AACAgIQOg?@O?P?',
    'N?_cC_AOpoGcQ?GGA_?', 'NCA@Q@C[CI@GG@E??S?', 'NCOPV?OOC@c_B??g?A_', 'NHQ?_MA?SOb?OCGG?__',
    'NCOXV?OOC@c_?g?C??g', 'N@@bOGO?[_PAo?AA?K?', 'NRO?AICAgAQOI?@A?P?', 'N`@`OGP?[o@?_@O_?A_',
    'NCH_OE@S@_?U`?OO@@?', 'NQ@C_Y_?Wg?BQ?G@@O?', 'NBOIcAGG@A?q_C@O?D?', 'NPW?AIC?GMQOS?AC?Q?',
    'NB_?TG_O?DqAP?B??S?', 'NAMACCCGK_CDQ?@O?Q?', 'NQW?AIC?GMQOK?AC?Q?', 'NCOXU?AOC@cAGOCG?__',
    'NKDH?H@_Sc?SI??C??g', 'N?PpOAAcOBO@O@GOB??', 'NBGU?O@aGIW?H??a?C_', 'NQ@CoY_?W?CBQ?CA?`?',
    'NHQ?_M_OSOB?@@?g?B?', 'N?SpPAAcOBW?P??A??g', 'NGQ?_MaOCOb?K?@@?I?', 'NCOXU?QOC@c_GO?C??g',
    'NQW?AG?AgMQO_GK??c?', 'N@AGU?IGICSAP?COA@?', 'NKHH?G@_Sc?EOGE??O_', 'N?_sC_aO`OGcQ?CA?I?',
    'N?]ACK?Gk_CDO?C?_c?', 'N?_sC_aOooGCQ?GA?__', 'N?_SC_aOpoG_Q?H??C_', 'NA]ACGCGk?C@CA?o?C_',
    'NQPC_I_?WgCAA_AO?@_', 'NKDH?H?_Sc?UG?A?_K?', 'NC?XV?QOC@?aQ?G@?B?', 'NSSG@?O@[C?hO_OGCO?',
    'NRO?AACAgMQOI?@??GG', 'NGE_?PBG_Ax?c?CA?o?', 'N?ocC_AOp_GcGGD?@@?', 'NRW?AI?AgMAO_@@??CG',
    'NAGu??@aGMW?K?AO?C_', 'NQP?_Q_?WgCB__A_?g?', 'NCE@Q?EWCID?OGCC?G_', 'N`@b?GP?OoPA_AA_?E?',
    'NQOC_Q_?WgCBP?A_?g?', 'NSOJ@@O@[??gE??a?@_', 'NgA?HOIe?@E@OOD??P?', 'NSSJ@??@[C?`OGCG?G_',
    'NCE@Q@AKCGDGOC@G?H?', 'NRW?AGC?gIQO_GAC?P?', 'NQ@CoY_?G_CBQ?@A?I?', 'N?DpOAAcOBW@O?A?cG?',
    'NHQ?_CAOSOb__GGG?g?', 'NKA_?PBG_ax?C?A?_o?', 'NKL@?G@_Cc?UOGB??I?', 'NPW?AIC?_MQOS?AC?E?',
    'NHQ?_CaOSOb__??G_g?', 'NRW?AG?AgMOO_GC@?c?', 'N?osC_aOP_GcAA?_?AG', 'NGQ?_IaOSOb_G?C?_W?',
    'NKE_G?BG__x?OGAO?H?', 'NCHH?@@_Sc?UW?E??g?', 'N?osC?a?poG_OCCO?C_', 'N?TpPAA_O@W?CC?Q?@_',
    'N`@bOGO?[O@A_@CA?K?', 'NCJ_QA?S@o?S?o?W?A_', 'NHQ?_KaOCOb__G?O?AG', 'NSSB@??@[C?hOGCG@_?',
    'NCJ_AE?S@o?SA_?W?A_', 'N?_cC_aOPoGcQ?D??Q?', 'NRO?A?CAgMQO_GI??g?', 'N`?b?GP?[oOAP?A_@?_',
    'NQ@C_Y_?WGCBQ?CA@O?', 'N?T`@AAc?BW@D?A_?I?', 'N`@bO?P?WoPA_??A_g?', 'N?DpPAAc?BW@O?A?_I?',
    'NRO?AACAgEQOI?@O?`?', 'NCJ_Q?@S@o?S_G?o?A_', 'NA]ACGCGc_CC?o?K?@_', 'NB`GT?aO?Cq?@O?I?A_',
    'NRG?AICAgAQOQ?@A?P?', 'N`@bOGP?K?PACAAA?I?', 'NBW?AICAGMQ?g??c?O_', 'N?Pp@AACOBW@_CE?@O?',
    'NCLH?@@_Sc?QW?@O?C_', 'NHQ?_MaOSOB?@??@_B?', 'NBOAcIGg@@?qB??O?@G', 'NCOXF?QOC@CAA_@@?B?',
    'NQ@CoQ??WgCBQ?GG?g?', 'NSSI@?O@SC?hOGG_?E?', 'N`@bO?P?WOPA_ACA?g?', 'N?B?U_IGGcSAOAK?@_?',
    'NQOC_Y_?GgCBP?A_?I?', 'N?PPPAAcOBG@_@H?B??', 'N@BGC_IGIcSAOOA??OG', 'NPO?AICAgKQOS?I??H?',
    'N`@@OGP?WoPA_AO_C_?', 'N?osC__OooGCGA@@?S?', 'NRG?AICAgIQ?Q??a?O_', 'N?PpOAAcOBW@GOC?@?G',
    'NCE?Q@EKCI@GOCG_C?_', 'NRO?AICAgKQOI??O?@G', 'N?TpPAA_O?W@CC?Q?D?', 'NKHH?@@_Sc?QE?@O?C_',
    'NQPC_Y_?GGCBCAA_?I?', 'NHQ?_MaO?O`__AC@?I?', 'NSSJ@??@KC?hOGCG?I?', 'N_@bOGO?[oOAK?A@?K?',
    'NB?u?O?aGMOCO@I??K?', 'NQPC_Q_?WgCAA_@O?@_', 'NCJ_QE@O@o?ACC?`?C_', 'N?TPPAAc?BW?H??S?@_',
    'NCHH?H@_Cc?UW?E??I?', 'NBGu?O?AGIWC_C?a?K?', 'N?SpPAAc?BW?P??S?@_', 'N?]ACGCGc_CDS??o?E?',
    'NB_GTGaO?@q?P??a?A_', 'N?T`OAAcOBW?GOD??@_', 'NRW?AACAgEOOC@@O?`?', 'NGQ??MaOCOb_K?C_?I?',
    'N`@BOG@?WoPA_AH?AC?', 'NRW?AICAgAAO_@@A?P?', 'NRW??ICA_MOOOOC@?E?', 'N`@b?GP?Ko@A_@A_?I?',
    'NKL@?H@_SC?QCAB??C_', 'NKHG?H?_Sc?UG_E??K?', 'NSSJ@??@[C?gOGCG?@_', 'NCH_AE@O@o?U`?CC@O?',
    'N@BGU?IG?cSAOACO?E?', 'NHQ?_?aOSOb__G@O?W?', 'NA_GTGaO?Dq?P?K??A_', 'N?osC?aO`oGCCO@@?I?',
    'N?]ACKCGk_C?S??H?@_', 'NBW?AICAGEQOg?@A?Q?', 'N`@`OGP?[?PAO_CA@@?', 'NCJ_QE@?@_?UOCCC@@?',
    'NA`GTGa??Dq?OCK??A_', 'NHO?_EaOS?b_`?AA?g?', 'N@B?S_IGI_SAOOB??P?', 'NRO?AGCA_MQO_GI??E?',
    'NBGu?O?aGIOCO@?a?K?', 'NQW?AICAGMAO_@K??Q?', 'NSSH@@O@S??hO_?a?E?', 'N?Tp@AAcOB?@_@O@@O?',
    'NHQ?_MaOSOA?A@@@?B?', 'NCJ_QE?C@_?UOCAA?K?', 'NBGu??@aGEOCO@AO?`?', 'N?PpP?Ac?BW@_GE??I?',
    'NKDH?H?_Sc?UI??O?CG', 'N?T`PAAcOAO@O@D??D?', 'NKDH?H@_Cc?QI??S?C_', 'NQ@CoY_?OgCBQ??G?AG',
    'N@_ICC`W?oGoc?@C?D?', 'NBW?AICAgKOOg?C@?H?', 'NRW??ICAgIAO_@OO?P?', 'N?Sp@AA_OBW@P?CC@O?',
    'N?osC_aOpOG_CA?G??g', 'NBOI_AGg@B?o_O@O?A_', 'NRO?AI?AgMQ?I?@G?O_', 'N@BGS?IGI_SAOOCO?P?',
    'NCOXU?QOC@_AGOG@?__', 'N_@b?GO?[oPAK?A_?K?', 'N`@b?GP?GoPA_AA_?I?', 'N?OcC_a?poGca?OCA_?',
    'NgAOIOIa?@E@GOCC?P?', 'NBOIcIGg?@?oGA?Q?A_', 'NRW?AI?AgMOOC@@??CG', 'NHQ?_EaOSOA_A@@O?B?',
    'N@Q??MaOCOb_W?C_?I?', 'N?DoPAA_OBW@Q?G_AA?', 'NQW??I?AgMQOOOK??c?', 'NB?IcIGG@@?q_CQ??H?',
    'NPW?AICAgIQ?S??a?O_', 'NRG?AACAgMQ?Q?@O?O_', 'NKE_GOB??ax?OGGC?Q?', 'N_@b?GP?[o@A_@K?@O?',
    'NQW?AICAGMQ?K??c?O_', 'N?osC_A?PoGcOCGG?Q?', 'NRO?AI?AgMQOI?@??CG', 'NHQ?_IaOOOB__A?o?B?',
    'N`@BOG@?[oOAH?CG@?_', 'NKHH?H?_SC?UE?CA?K?', 'N@AGU_IG?cSAP?OA?E?', 'NKE_GOB?_Ax?OGGCA@?',
    'N`?bOGP?[oOAP?A???g', 'NA]ACGCGK_C@?o?c?C_', 'NHA?_EaOSOb?Q?@O?__', 'NBOIcIG_@@?aGC?`?H?',
    'NB?IcIGg@@?qQ??O?@G', 'NCE@Q@CKCGDGOC?g?H?', 'NRW?AICAGMAO_@?_?AG', 'NB_GTGAO?Dq?P?GG?A_',
    'N`@`OGP?[oOAO_A???g', 'NKE_G?BG?ax?OGAO?Q?', 'NKE_GPBG?aw?A@?_?AG', 'N?_sC_AOPoGcQ?GG?Q?',
    'NA]?CK?Gk?CDO_CA?c?', 'NHA?_IaOSOB_Q??o?B?', 'NB_GTGAO?@qAP?GG?P?', 'NKHH?G@_Cc?UOGE??I?',
    'N?DpPAAc?BW?Q??S?@_', 'NHQ?_EaOOO`__AC@?g?', 'NSSJ@?O@[??hOG?_?@G', 'NWCCOK@KIOG_c?@G?@_',
    'NQPC_Y_?WGCACAA_?@_', 'N`?b?GP?[_PAP?A_@@?', 'NA]ACK?Gk?C@CA@G?C_', 'N?osC?aOp_G_COAA?C_',
    'NKE_?OBG_aw?OGA@?o?', 'NBOI_I?g?B?q_OGA@C?', 'N?DoPAAcOAW@Q?G_?D?', 'N@BGS?I?IcSAOOGCAG?',
    'NHQ?_M_OCOb?@@?g?I?', 'NKE_??BG_ax?OGAO?o?', 'N@OAcIGg@@?qS?B??H?', 'NQP?oQ_?W_CB__@O?`?',
    'NA]ACK?GK?CDCA@G?Q?', 'N@Gu??@a?MWCS?AO?E?', 'NRW?AI?AgKOOC@@G?H?', 'NQOCoW_?WgCA_GP??@_',
    'NQPCOW_?WGCB_GC_A@?', 'N?_sC_aOPOGcQ?CA?Q?', 'NSSB@@?@[??hCGB??P?', 'NHQ?_M?OS?b_GGAA?S?',
    'N?PPPAAcOBO@O@H?B??', 'NQOCoY??WgC@P?GG?A_', 'NQ@?oY_?GgCB__Q??I?', 'N@Q?_IAOSOb_W?GG?W?',
    'NRG?AICAGMQOQ??_?AG', 'NCOPV?OOC@_aG@B??S?', 'NQOC_Y_?WGCBP?CA@O?', 'N@AGQ_IGICSA_OP?A@?',
    'NQG?AICAGMQOQ?K??Q?', 'NRO?AGCAgEQO_GI??`?', 'NQPCoO_?WGCB_GCA?g?', 'N?OsC_a?poGCa?OC?__',
    'N?ocC_a?PoGcOCD??Q?', 'NBGe?O@a?MGC_@D??E?', 'NHQ?_MA?SOa_OCGG@?_', 'NRW?AGCA_MOO_GC@?E?',
    'NWCCOCDKIOG_c?@O?@_', 'NCJ_QE@O?o?SGACC?A_', 'N?Pp?AAcOBW@GOE?@O?', 'NCE@Q@CSCICGGCA@?S?',
    'NB`GTGa??Cq?OC?I?A_', 'NC?XV?OOC@c_Q??g?A_', 'NKE_GOBG_aH?_@OG?B?', 'NCE@Q@EK?ID?_AOC?G_',
    'NKL@?G@_SC?UOGCA@_?', 'NKHH?H@_Cc?EE??`?I?', 'NKE_?PAG_Ax?CA@_?K?', 'NQW?AACAgMQOK?@??GG',
    'NQ@COY_?GgCBQ?C_?I?', 'NA]ACG??k_CDGC@G?W?', 'NKE?GOBG_Ax?OGH?A@?', 'N?PpPA?cOBW?E??g?@_',
    'N@AGU_IGACSAP?CA?E?', 'NRO??ACAgMQOOOI??g?', 'NCE@Q@CWCGDGCC?g?H?', 'NBOIcAGg@A?o@O?I?A_',
    'NKLH??@_S_?UOG@O?P?', 'N`@b?GO?WoPA_AA_?K?', 'N?Pp@AAc?BW@E?A_?I?', 'NAGs?O@aGMW?O_K??C_',
    'N?PoPAAcO@W@G_E??H?', 'N@BGS_GGICSAOOCA?S?', 'NCLH?@@_SC?UW?CA?g?', 'N_@b?GP?[_PAK?A_@@?',
    'N`@B?GP?[oOAH?A_@?_', 'NAMACCCGk_CDQ?@??GG', 'NKA_GPBG__p?O@E??H?', 'NBGu?O@a?KGC_@?Q?E?',
    'NA]ACCCGc_?DG@@O?E?', 'NCE@Q@CWCI@GG@CC?S?', 'N?DPPAA_OBW@Q?H?AA?', 'N?ocC_aO_oGcGAD??I?',
    'NQOCoY_?WgC@P??C??g', 'N?oSC__?poGcOCH??S?', 'NGQ??Ma?SOb_OCK?AO?', 'NCJ_QC@C@_?U_GOC@@?',
    'NRW?AI?AgKAO_@@G?H?', 'N?DpPAAc?BW@Q??O?AG', 'NRW?AICAgKOOC@?O?@G', 'NBOIcIG_@@?qGC?O?@G',
    'NBOI?AGg@B?q_OC_?g?', 'NBOIcI?g@A?QAG@@?D?', 'NQPCOG_?WgCB_GC_@G?', 'NHQ?_Ma?COb?OC@@?I?',
    'N`@BOGP?WOPA_AH?A@?', 'NB_GTGaO?@oAP?C@?P?', 'N?Dp?AAcOBW@Q?GO@O?', 'NCE_GPBG__w?W?A@?H?',
    'NSSI@?O@[C?hOGG??OG', 'N?os?_a?poG__OOC?C_', 'N@@bOGP?[_P?o?AA?A_', 'N@AGU?IGI_SAP?CO?P?',
    'NHQ?_M_OC?b_AA?g?I?', 'N?T`@AAcOBO@O@D?@O?', 'NAOGcIGg@A?qO_K??D?'
  ]

