Time measurement
================

Command:
--------

``groupConnectivity.generateSubdivisions(
  "/tmp/cube.sub",
  graphs.CubeGraph(3),
  graphs.CubeGraph(3).edges()[0:2],
  function = lambda H: "%-20s Z4: %-5s Z2_2: %s" % (
    H.graph6_string(),
    groupConnectivity.testGroupConnectivity(H, "Z4"),
    groupConnectivity.testGroupConnectivity(H, "Z2_2")
  )
)
``


Output:
-------

``# Subdivisions of edges '[('000', '001', None), ('000', '010', None)]' of graph 'Gr`HOk' (3-Cube)
Gr`HOk               Z4: True  Z2_2: True
HkL@GgJ              Z4: True  Z2_2: True
IpOX?cI@W            Z4: True  Z2_2: True
HqL@GgJ              Z4: True  Z2_2: True
I[OX?cI@W            Z4: True  Z2_2: True
JM__W_H@OD_          Z4: False Z2_2: False
IqGX?cI@W            Z4: True  Z2_2: True
JdO_W_H@OD_          Z4: False Z2_2: False
K`h?_KG@GD?J         Z4: False Z2_2: False
``

Results:
--------

Measured on snehulak (Intel i5 5257U)

- commit 8126213c7cd5: 24.4 s
- commit 528d64b9fb6c (api change): 24 s
- commit ac504e4195e5 (`SAVE_MEMORY=1`): 16.8 s
- commit 6d90f293bca8 (small changes): 15.8 s
- commit f5b43ca8ec1b (+ unroll loops): 14.8 s
- commit f5b43ca8ec1b + `OPTIMIZED_MAPPINGS`: 13.7 s -- not much better
  hence it stays off by default
- commit 7ff7af386ea5: 13 s
- commit 73ae7e2d75f6 (`USE_NEXT_FORB=1`): 6.63 s
- commit 7caeac810154 with `EXPLICIT_NORMAL_EDGES`: 7.05 s -- a small slowdown
  is expected but `EXPLICIT_NORMAL_EDGES` are required to implement
  `USE_TWO_CUTS` (which promises huge speedup)
- commit ed01b02e75c7 (`USE_TWO_CUTS`): 1.2 s
- commit b958520dc69a: 229 ms

